EMV NFC Paycard Enrollment

Additional

Language
Java
Version
parent-3.0.0 (Feb 19, 2019)
Created
Apr 5, 2014
Updated
Feb 21, 2019
Owner
Julien Millau (devnied)
Contributors
Julien Millau (devnied)
JamieFarrelly
2
Activity
Badge
Generate
Download
Source code

Commercial

EMV NFC Paycard Enrollment

Description

Java library used to read and extract public data from NFC EMV credit cards. Android sample app available on Play store.



Getting started

First you need to create a custom Provider to exchange APDU with an NFC EMV credit card (sample here.

public class YourProvider implements IProvider {

  @Override
  public byte[] transceive(final byte[] pCommand) {
  // implement this
  }
}

After that, create an instance of a parser and read the card.

// Create provider
IProvider provider = new YourProvider();
// Define config
Config config = EmvTemplate.Config()
  .setContactLess(true) // Enable contact less reading (default: true)
  .setReadAllAids(true) // Read all aids in card (default: true)
  .setReadTransactions(true) // Read all transactions (default: true)
  .setReadCPLC(false) // Read and extract CPCLC data (default: false)
  .setRemoveDefaultParsers(false) // Remove default parsers for GeldKarte and EmvCard (default: false)
  .setReadAt(true) // Read and extract ATR/ATS and description
  ; 
// Create Parser
EmvTemplate parser = EmvTemplate.Builder() //
  .setProvider(provider) // Define provider
  .setConfig(config) // Define config
  //.setTerminal(terminal) (optional) you can define a custom terminal implementation to create APDU
  .build();
  
// Read card
EMVCard card = parser.readEmvCard();

card object contains all data read (Aid, card number, expiration date, card type, transactions history)

Screens

Download

Maven

<dependency>
  <groupId>com.github.devnied.emvnfccard</groupId>
  <artifactId>library</artifactId>
  <version>3.0.0</version>
</dependency>

Gradle

dependencies {
 compile 'com.github.devnied.emvnfccard:library:3.0.0'
}

JAR

You can download this library on Maven central or in Github release tab

Dependencies

If you are not using Maven or some other dependency management tool that can understand Maven repositories, the list below is what you need to run EMV-NFC-Paycard-Enrollment.

Runtime Dependencies

  • commons-lang3 3.4
  • bit-lib4j 1.5.0
  • commons-io 2.4
  • commons-collections4 4.1

Build

To build the project launch:

mvn clean install

Bugs

Please report bugs and feature requests to the GitHub issue tracker. Forks and Pull Requests are also welcome.

Author

Millau Julien

Copyright and license

Copyright 2014 Millau Julien.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this work except in compliance with the License. You may obtain a copy of the License in the LICENSE file, or at:

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.